2009.1.25.0
    修复或优化：
　　　　1：去掉了客户端调试模式下所用的一个对话框；


2009.1.24.0
    修复或优化：
　　　　1：修复了客户端总是保存登录密码的错误；
　　　　2：修复了客户端发送文件时，遇有文件路径中有中文时发送失败的错误；


2009.1.15.0
    新增功能：
　　　　1：在客户端增加了“常用联系人”、“最近联系人”的人员面板；
　　　　2：在客户端选项窗口中增加了“常用联系人”显示数量的设定功能；

    修复或优化：
　　　　1：修复了客户端鼠标悬停后，重复出现提示信息的小黄条；
　　　　2：优化了客户端文件收发模块；


2009.1.11.0
    新增功能：
　　　　1：在客户端频道列表的上面，增加了四个按钮；
　　　　　
    修复或优化：
　　　　1：修复了客户端带有参数需求频道的参数，在某些时候未正常传递的问题；
　　　　2：修复了服务端频道设置界面的一个逻辑错误；


2009.1.7.0
    新增功能：
　　　　1：服务端设置帐号默认权限的窗口，将以往按新增和新注册用户，改成了按部门来作为默认权限的设置单位，每个部门都有对应的权限；
　　　　2：服务端在批量设置整个部门用户的权限时，会自动记住该权限设置，并作为该部门中新增用户或新增注册用户的默认权限；
　　　　3：服务端帐号权限中新增了“隐藏广告的权限”，即当拥有该权限的用户登录后，在“操作”菜单中可以隐藏掉所有的界面广告；　　　

    修复或优化：
　　　　1：客户端在非首次登录时，频道图标有可能会延时出现的错误；
　　　　2：修复了客户端在登录后，若马上点击部门左边加号左边的空白处时偶尔会发生的错误；
　　　　3：修复客户端在列表在排序时的一个小错误；
　　　　4：修复服务端后台文件收发进程安装成Windows的后台服务后，启动方式不是“自动”的错误；
　　　　5：调整了客户端提示无文件发送权限时的提示顺序；
　　　　6：修复了客户端帐号注册窗口的显示顺序；
　　　　7：将服务端根目录下的purview目录，移到了wineimdata目录下，使服务端目录结构更简捷、合理了；
　　　　8：优化了客户端登录速度及登录数据的传送机制；


2009.1.1.0
    新增功能：
　　　　1：在“选项”窗口中，增加了“隐藏界面的提示悬浮提示”选项，可以实时关闭界面上跟随鼠标的界面提示；
　　　　2：精简了在线状态，使状态更一目了然，使用起来更轻松简捷；
　　　　3：增加了登录界面中网址的配置文件，以及“社区服务”菜单中网址的配置文件；
　　　　4：客户端启动界面和关于界面，都已经从主exe文件中独立出来了，都已经是单独的dll文件，并开放其源码；

    修复或优化：
　　　　1：去掉了客户端列表的“收起”和“展开”按钮，取而代之是点击列表左边的按钮会实现同样的功能；
　　　　2：修复了状态菜单中的一个状态显示问题；
　　　　3：修复了与隐身状态有关的几个小错误；
　　　　4：修复了部门间权限列表的一个显示错误；
　　　　5：优化了人员状态更新机制；
　　　　6：优化了客户端所有状态菜单的排列，使得新的菜单布置更简捷实用；
　　　　7：去掉了客户端中，所有的图片下载链接；


2008.12.29.0
    新增功能：
　　　　1：客户端和服务端增加了界面多语言的支持，可自由在界面上切换，且可自己随意扩展到其它国家语言；

    修复或优化：
　　　　1：修复了客户端消息发送界面的“选项”中，两个复选框初始状态不对的错误；
　　　　2：将客户端消息发送界面的照片点击动作，改成直接打开对方的个人资料窗口，右键单周改为出下拉菜单；
　　　　3：修复了点击客户端“工具”菜单中的“更换皮肤”中的“银装素裹”时，主界面颜色出现不协调的错误；
　　　　4：优化了客户端主界面菜单的排列，将“工具”菜单中“更换皮肤”一项，移到了“操作”菜单中，并更名为“界面风格”；
　　　　5：修复了服务端人员列表中，将用户帐号过长时，无法全部显示出该帐号的文字及姓名；

　　　　

2008.12.22.0
    新增功能：
　　　　

    修复或优化：
　　　　1：客户端会议室人员列表右边，人员无签名信息时，去掉了后面的小横杠。
　　　　2：精简了客户端主界面，把一些可有可无的元素去除了；
　　　　3：优化了客户端主界面，加强了可操作性；
　　　　4：解决了部门权限设置时，不能添加自己所在部门的错误；
　　　　5：解决了服务端所在电脑重启后，MySQL服务优先于WinEIM Server启动而造成的错误[只针对后台数据库是MySQL时]；

2008.12.5.0
    新增功能：
　　　　1：服务端增加MySQL数据库的支持！

    修复或优化：
　　　　1：修复了客户端修改个人资料窗口中，输入网址中的斜杠被认为是非法字符的错误；


2008.12.3.0
    新增功能：
　　　　1：服务端“运行配置”窗口中，去掉了设置路由器IP地址的选项（核心模块已经采用了自适应功能）；

    修复或优化：
　　　　1：修复了当服务端在路由器后面，服务端所在电脑做了DMZ主机后，文件数据流只能在公网正常收发，而不能在内网正常收发的错误；
　　　　2：修复了在新的文件收发机制下，群发文件不能发送的问题；
　　　

2008.12.2.0
    新增功能：
　　　　1：服务端“运行配置”窗口中，增另了设置路由器IP地址的选项；

    修复或优化：
　　　　1：修复了当服务端在路由器后面，服务端所在电脑做了DMZ主机后，文件数据流无法正常收发的错误；

　　　　

2008.12.1.1
    修复或优化：
　　　　1：修复了服务端文件收发进程，因找不到msvcr71.dll文件而产生的加载错误；
　　　　2：修复了客户端载入频道图标错误的问题；　
　　　　

2008.12.1.0
    修复或优化：
　　　　1：修复了服务端的文件收发进程首次运行时，因为配置文件没成功生成而产生的错误
　　　　2：修复了客户端，因为目录名称不对，导致屏幕截图无法传输的错误　　　
　　　　

2008.11.28.0
    新增功能：
　　　　1：服务端文件收发服务和更新升级服务，合二为一，且整个模块更稳定、高效；　　　　

    修复或优化：
　　　　1：修改了服务端的目录结构；
　　　　2：去掉了服务端的隐藏托盘图标和热键显示主窗口的功能[锦上添花的同时，造成了不稳定]；　　　　
　　　　3：服务端管理模块和核心服务端，在不减少功能和提高稳定性的原则下，作了一定程度的精简；


2008.11.18.0
    新增功能：
　　　　1：自动升级模块遇到升级障碍时，可直接在界面上编辑升级地址；
　　　　2：自动升级模块遇到升级障碍时，可直接在界面上选用官方提供的升级地址；

    修复或优化：
　　　　1：修复了注册帐号时，在由服务端自动生成帐号的前提下，对帐号进行乱码检测的错误；
　　　　2：修复了成功注册帐号并登录后，其它未登录的老用户，再次登录时有时看不到新注册帐号的错误；
　　　　3：修复了服务端公布在公网上时，要么只有外网的用户能升级，要么只有内网的用户能升级的错误；
　　　　4：更新了服务端读取升级服务器IP地址的机制；

2008.11.17.0
    新增功能：
　　　　1：客户端注册帐号时，增加了设置帐号密码的功能；
　　　　2：服务端增加了预设帐号缺省密码的功能；

    修复或优化：
　　　　1：为稳定性考虑，客户端去掉了短信模块及与短信相关的资源；
　　　　2：修复了客户端主窗口从隐藏状态进入而显示后，鼠标在菜单中停留会自动缩回的错误；
　　　　3：修复了注册帐号用中文时的乱码问题；
　　　　4：服务端新增帐号和重置用户帐号密码时，不再采用密码与用户名相同的策略，而使用预设的缺省密码；
　　　　 　特别注意：从此版本开始，新增帐号的缺省密码是wineim这６个字母，新增的帐号，其密码
　　　　 　不再是帐号本身，切记！（缺省密码可在“管理”菜单的“运行配置”中更改！）
　　　　 　若忘记或不知道帐号登录密码，请在服务端“帐号管理”中的右键菜单中，重置一下密码即可！

　　　　5：服务端两个核心应用（消息和文件）端口6800和6900，现在已经合并到一个端口6800上了；
　　　　 　以后在公网配置时，在不考虑升级端口6900的情况下，只需要开放一个端口即可实现消息和文件收发！
　　　　 　在本版本以前在公网配置时，要实现消息和文件收发，必须要开6800(消息)和6900(文件)两个端口！
　　　　 　注：可在“运行配置”中将6800端口，改成其它任意端口号，如改成80端口等；

　　　　6：修复了服务端权限按部门批量设置的保存问题



2008.11.13.1（一天内的第二次更新发布）
    修复或优化：
　　　　1：更新了客户端文字广告的背景图（使整个主界面看起来更谐调）；
　　　　2：修复了客户端主窗口从隐藏状态进入而显示后，在某些区域会自动缩回的错误；


2008.11.13.0
    新增功能：
　　　　1：增加了在服务端设置新用户（新增或注册）的默认签名文字（广告设置中）

    修复或优化：
　　　　1：修复了客户端注销后再次登录后的广告播放错误；
　　　　2：修复了客户端会议室按钮提示文字的错误；


2008.11.11.0
    新增功能：
　　　　1：增加了部门间的权限设置；
　　　　2：增加了多广告管理，多广告轮换播放的功能；

    修复或优化：
　　　　1：修复了服务端聊天记录中，没有显示出记录发生时间的问题；
　　　　2：修复了客户端底部图形广告的位置偏移；　　


2008.10.14.0
    新增功能：
　　　　1：增加了短信收发功能；

    修复或优化：
　　　　1：服务端修复了新注册帐号后，人员列表没有及时刷新的错误；
　　　　2：服务端弃用了若干系统级的函数，避免了一些安全软件误报服务端为病毒的错误；
　　　　

2008.8.28.0
    新增功能：
　　　　1：客户端新增了在主菜单和右下角菜单中，打开“今日焦点”的菜单项；
　　　　2：服务端新增了客户端登录成功后，延迟打开“今日焦点”窗口的选项；

    界面改变：
　　　　1：提示文件接收队列窗口，去掉了“最上”显示属性；

    修复或优化：
　　　　1：修复了同一帐号，在两台电脑之间登录后，造成循环自动登录的错误；
　　　　


2008.8.24.0
    新增功能：
　　　　1：新增了文件群发的功能；
　　　　2：服务端新增了文件群发的权限设定选项；
　　　　3：新增了客户端断线后，自动重连的功能；

    界面改变：
　　　　1：改变了广播/通知消息发送窗口的右边区域的格局；
        

2008.8.20.0
    界面改变：
　　　　1：闪屏时，增加了本地闪屏的选项；
        2：修复了双击主界面个性签名处，修改并再次登录后，未更新的错误；

2008.8.15.0
    界面改变：
　　　　1：去掉了客户端的强制性文字广告；

2008.8.8.0
    界面改变：
　　　　1：若干细节的改进；

2008.7.31.0
    修复或优化：
　　　　1：修复了消息收发窗口中，在会议室模式下，按钮定位错乱的问题；

　　界面改变：
　　　　1：在收发窗口中有IE侧栏的情况下，加大了窗口初次打开时的宽度；


2008.7.30.0
    修复或优化：
　　　　1：修复了消息发送后，消息编辑框中不能自动清除的错误；


2008.7.29.1
    修复或优化：
　　　　1：修复了客户端退出时偶尔发生的错误；


2008.7.29.0
    修复或优化：
　　　　1：修复了会议室窗口中的IE栏区域显示出来的错误；

　　界面改变：
　　　　1：去掉了最大化按钮；
　　　　2：主窗口会在任务条下有显示；

2008.7.28.0
    修复或优化：
　　　　1：修复了以“另存为”的方式接收文件时，中文文件名乱码的错误；
　　　　2：修复了文件发送后对方未接收时，自己的帐号退出再登录时，弹出对方发送来文件的错误；
　　　　3：修复了客户端注册帐号后，服务端列表中不能及时显示新帐号的问题；

    新增功能：
　　　　1：退出时，如果有正在收发（或等待接收）的文件，界面会给出一个提示；
　　　　2：新增了客户端消息收发界面在服务端定制的功能，消息收发界面右侧增加了IE Bar区域；


　　界面改变：
　　　　1：照片显示框的下拉菜单中，加入了“下载更多照片”这一项；
　　　　2：消息收发界面右侧增加了IE Bar区域；



2008.7.23.0
    修复或优化：
　　　　1：修复了子部门无法单击加号图标展开的错误；
　　　　2：修复了空部门中有多个子部门时，空部门图标不显示为加号图标的错误；
　　　　3：修复了当在设置每日资讯为空时，客户端资讯窗口一闪即逝的错误；

　　界面改变：
　　　　1：改变了主界面的会议室列表中，当双击会议人员节点时，打开的是与此联系人单独的对话窗口；
　　　　2：改变了广播消息发送窗口的布局（为文件群发及消息附件发送作准备）；


2008.7.22.0
    修复或优化：
　　　　1：修复了个人签名信息为空的情况下，列表中的名称后面有一小横杠的问题；
　　　　2：修复了个人签名信息为空的情况下，其它人的列表中不能及时更新的问题；
　　　　3：修复了切换登录账号（以注销的方式）后，数据库连接不正确的错误；
　　　　4：修复了接收文件时，选择“另存为”后容易丢失文件扩展名的问题；
　　　　5：修复了在IE链接协议为“wineim://助讯通帐号/”，有时打不开与对应联系人的聊天窗口的错误；
　　　　6：修复了收到个人消息和广播/通知消息的提示声音是一样的错误；
　　　　7：修复了当选择不记住登录密码时，无法删除已记住密码的错误；
　　　　8：修复了在会议室名字上不能双击就打开会议室的问题；


    新增功能：
　　　　1：增加了自定义“每日资讯”窗口标题的设置框；



　　界面改变：
　　　　1：去掉了充值卡和淘客导购的广告了
　　　　2：个人消息、会议消息、广播消息分别用了不同的右下角闪动提示图标了
　　　　3：在会议室和部门节点上双击不再展开或收缩节点，而是打开会议室或部门广播消息窗口了；
　　　　4：闪屏时界面振动效果更强烈了；


2008.7.9.0
    修复或优化：
　　　　1：修复了登录后，部门用户列表偶尔为空的错误；




    新增功能：
　　　　1：登录界面的登录按钮右边加了一个扩展小按钮（登录时重新下载列表数据）



2008.7.1.0
    修复或优化：
　　　　1：优化了客户端登录速度

2008.6.30.0
    修复或优化：
　　　　1：修复了客户端列表人员排序功能，和服务端完全保持同步了（可以实现企业领导在列表中靠上排序了）
　　　　2：修复了客户端列表总在线人数没有实时更新的错误；
　　　　3：修复了有新消息的用户的列表排序优先级（如有新消息的用户优先排到最上面）
　　　　4：修复了屏幕截图中，鼠标只能从左上方往右下方框选截图（现在从任意方向选择的矩形都可以实现截图）
　　　　5：优化了表情符号选择窗口
　　　　6：优化了谈话窗口的消息编辑框（避免了动画循环刷新）
　　　　7：修复了发送网址时，网址中的部分字偶尔会被自动被换成表情图标的错误
　　　　8：修复了在系统待机后恢复后重新登录时所出现的错误
　　　　9：修复了发送通知(广播)里发的文字一多别的机子就打不开的问题
　　　　10：修复了历史消息管理器中，不能查看历史广播消息的错误
　　　　11：修复了服务端偶尔会现的Cannot create ... eimad.cfg 的错误
　　　　12：修复了登录超时后的一个错误(弹出框)
　　　　13：sqlite 从 3.5.7 更新到了 3.5.9 版本


    新增功能：
　　　　1：增加了对接收完成的文件实时查杀毒的接口设置（见选项窗口中的传输文件设置中）
　　　　2：增加了对消息编辑框中的图片另存为文件的功能
　　　　3：增加了点击频道按钮时，单独打开一个浏览器窗口的选项


　　界面改变：
　　　　1：登录界面的登录按钮下，加入了进论坛提问的链接
　　　　2：去掉了主界面系统菜单中的“Get Message”菜单
　　　　3：更换了系统默认的个人图像

2008.6.19.0
　　1：修复了登录时输入登录服务器地址后，退出后再次登录时又需要输入服务器地址的错误

2008.6.18.0
　　1：修复了登录时偶尔会出现循环提示设置服务器地址的错误

2008.6.17.1 
　　1：人数统计多加了1的错误
　　2：登录时采用以前保存的密码时，以后偶尔会发生登录密码错误的情况
　　3：谈话界面，点击创建会议室按钮时发生的错误；







